1. Video Generation
PixVerse Platform Docs
  • Overview
    • Introduction to PixVerse API Platform
    • Quick Start
    • How does the API work?
    • How to get API key?
    • PixVerse-api-llm.txt
  • Models
    • Model Overview
    • Capability matrix
    • C1
    • V6
    • Pricing
  • Guides
    • Get video generation status
    • Check account balance
    • Subscribe API plans
    • Text-to-video
    • Image-to-video
    • Video Effects
    • Image template
    • Transition(First-last frame Feature)
    • Extend
    • Modify
    • Sound effects
    • Speech(Lip sync)
    • Lip sync TTS speaker list
    • Fusion(Reference to video)
    • Fusion (Reference-to-Video) — V6 Video Reference Integration Guide
    • Restyle
    • Multi-transition
    • Swap
    • Motion Control(Mimic)
    • Webhook integration
    • Get template list
    • Avatar
  • API Reference
    • Rate limit
    • Video Generation
      • Text-to-Video generation
        POST
      • Image-to-Video generation
        POST
      • Template video generation
        POST
      • Transition(First-last frame) generation
        POST
      • Speech(Lipsync) generation
        POST
      • Get Speech(Lipsync) tts list
        GET
      • Fusion(reference to video) generation
        POST
      • Multi-transition video generation
        POST
      • Restyle video generation
        POST
      • Restyle effect list
        GET
      • Swap mask generation
        POST
      • Swap video generation
        POST
      • Sound effect generation
        POST
      • Extend generation
        POST
      • Get Video Generation Status
        GET
      • Motion Control (Mimic) generation
        POST
      • Modify generation
        POST
      • Upscale Video
        POST
      • Avatar generation
        POST
      • Viral Recreation Agent
        POST
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Get user credit balance
      GET
    • Upload Video&audio
      POST
    • Get template list
      GET
    • Create Custom Voice
      POST
    • Delete Custom Voice
      DELETE
  • Troubleshooting
    • FAQ
    • Common errors and Solutions
    • Error codes
  • Resources
    • Support
    • Changelogs
    • PixVerse MCP
    • Terms of Service
    • Privacy policy
  1. Video Generation

Viral Recreation Agent

POST
/openapi/v2/video/agent/generate

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/video/agent/generate' \
--header 'Ai-Trace-Id: your-ai-trace-id' \
--header 'API-KEY: your-api-key' \
--header 'Content-Type: application/json' \
--data '{
  "agent_id": 414562414124109,
  "prompt": "Replace the product in the video with the product shown in the uploaded image(s), while preserving all original video shots and storyboard design. Remove all original subtitles from the video, and ensure that no subtitles appear at any point throughout the generated video. The voiceover should emphasize the following product selling points: XXXXXX.",
  "img_references": [
    {
      "img_id": 883671823
    },
    {
      "img_id": 883671834
    },
    {
      "img_id": 883671837
    },
    {
      "img_id": 883671844
    },
    {
      "img_id": 883671873
    }
  ],
  "video_references": [
    {
      "video_media_id": 416097137329803
    }
  ],
  "aspect_ratio": "9:16",
  "quality": "1080p",
  "lip_sync_switch": true,
  "bgm_switch": true,
  "caption_switch": true,
  "webhook_id": "your webhook id"
}'
Response Response Example
{}
Previous
Avatar generation
Next
Image template generation